# Generated from highcharts-rails-6.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name highcharts-rails

Name: rubygem-%{gem_name}
Version: 6.0.3
Release: 1%{?dist}
Summary: Gem for easily adding Highcharts to the Rails Asset Pipeline
License: MIT and CC BY-NC 3.0 and Highsoft_Standard-License-Agreement-9.0
URL: http://northblue.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 3.1
BuildArch: noarch

%description
Gem that includes Highcharts (Interactive JavaScript charts for your web
projects), in the Rails Asset Pipeline introduced in Rails 3.1.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/CCBYNC-LICENSE
%license %{gem_instdir}/Highsoft-LICENSE
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.markdown
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/highcharts-rails.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 6.0.3-1
- Initial package
